## PhoshWifiInfo

PhoshWifiInfo — A widget to display the wifi status

## Functions

GtkWidget * | phosh_wifi_info_new ()

## Properties

gboolean | enabled | Read
gboolean | present | Read

## Types and Values

#define | PHOSH_TYPE_WIFI_INFO
| PhoshWifiInfo

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── PhoshStatusIcon
                            ╰── PhoshWifiInfo

## Implemented Interfaces

PhoshWifiInfo implements AtkImplementorIface and GtkBuildable.

## Description

PhoshWifiInfo displays the current wifi status based on information from PhoshWifiManager. To figure out if the widget should be shown the “enabled” property can be useful.

## Functions

### phosh_wifi_info_new ()

    GtkWidget *
    phosh_wifi_info_new (void);

## Types and Values

### PHOSH_TYPE_WIFI_INFO

    #define PHOSH_TYPE_WIFI_INFO (phosh_wifi_info_get_type())

### PhoshWifiInfo

    typedef struct _PhoshWifiInfo PhoshWifiInfo;

## Property Details

### The `“enabled”` property

      “enabled”                  gboolean

Whether a wifi device is enabled.

Owner: PhoshWifiInfo

Flags: Read

Default value: FALSE

### The `“present”` property

      “present”                  gboolean

Whether wifi hardware is present.

Owner: PhoshWifiInfo

Flags: Read

Default value: FALSE